=head1 NAME

GStreamer::Registry

=cut

=head1 HIERARCHY

  Glib::Object
  +----GStreamer::Object
       +----GStreamer::Registry



=cut


=head1 METHODS

=head2 boolean = $registry-E<gt>B<add_feature> ($feature)

=over

=item * $feature (GStreamer::PluginFeature) 

=back

=head2 boolean = $registry-E<gt>B<add_plugin> ($plugin)

=over

=item * $plugin (GStreamer::Plugin) 

=back

=head2 registry = GStreamer::Registry-E<gt>B<get_default> 

=head2 list = $registry-E<gt>B<feature_filter> ($filter, $first, $data=undef)

=over

=item * $filter (scalar) 

=item * $first (boolean) 

=item * $data (scalar) 

=back

=head2 list = $registry-E<gt>B<get_feature_list_by_plugin> ($name)

=over

=item * $name (string) 

=back

=head2 list = $registry-E<gt>B<get_feature_list> ($type)

=over

=item * $type (string) 

=back

=head2 pluginfeature = $registry-E<gt>B<find_feature> ($name, $type)

=over

=item * $name (string) 

=item * $type (string) 

=back

=head2 plugin = $registry-E<gt>B<find_plugin> ($name)

=over

=item * $name (string) 

=back

=head2 plugin = $registry-E<gt>B<lookup> ($filename)

=over

=item * $filename (string) 

=back

=head2 pluginfeature = $registry-E<gt>B<lookup_feature> ($name)

=over

=item * $name (string) 

=back

=head2 list = $registry-E<gt>B<get_path_list> 

=head2 list = $registry-E<gt>B<plugin_filter> ($filter, $first, $data=undef)

=over

=item * $filter (scalar) 

=item * $first (boolean) 

=item * $data (scalar) 

=back

=head2 list = $registry-E<gt>B<get_plugin_list> 

=head2 $registry-E<gt>B<remove_feature> ($feature)

=over

=item * $feature (GStreamer::PluginFeature) 

=back

=head2 $registry-E<gt>B<remove_plugin> ($plugin)

=over

=item * $plugin (GStreamer::Plugin) 

=back

=head2 $registry-E<gt>B<scan_path> ($path)

=over

=item * $path (string) 

=back

=head2 boolean = $registry-E<gt>B<xml_read_cache> ($location)

=over

=item * $location (string) 

=back

=head2 boolean = $registry-E<gt>B<xml_write_cache> ($location)

=over

=item * $location (string) 

=back



=cut


=head1 SIGNALS

=over

=item B<feature-added> (GStreamer::Registry, gpointer)

=item B<plugin-added> (GStreamer::Registry, gpointer)

=back



=cut


=head1 SEE ALSO

L<GStreamer>, L<Glib::Object>, L<GStreamer::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<GStreamer> for a full notice.



=cut

